// -*- coding: utf-8 -*-
// Sin'Fan Moanne
// HolleMoane.sc
// Made by JackDole
// Date: 2016.04.27 19:26:53

Star "Sin'Fan Moanne"
{
    ParentBody  "JDV 00035"
    Class       "K2V"
    
    StaticPosPolar (0.000000 0.000000 0.000000)
}

Barycenter "SP002"
{
    ParentBody  "Sin'Fan Moanne"
    
    Obliquity       0
    EqAscendNode    0
   
    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.5096
        Period          0.197109
        Eccentricity    0.010052
        Inclination     0.802422
        AscendingNode   -156.562
        ArgOfPericenter 56.422
        MeanAnomaly     183.549
    }
}

Star "Sin"
{
    ParentBody  "SP002"
    Class       "G2 V"
    
    Radius      75
    Mass        2.5e-07
    Oblateness  0
    
    Luminosity  3.2e-10
    
    StaticPosPolar (0.000000 0.000000 0.000000)
}

Planet "Hol'Moanne"
{
    ParentBody     "SP002"
    Class          "Desert"

    Mass            0.00076975
    Radius          2126.047
    Oblateness      0.00335

    Age	            4.54

    RotationPeriod  1727.8205471795
    Obliquity       23.4392911
    EqAscendNode    180.0
    RotationOffset  200
    
    Color         ( 0.850 0.850 1.000 )
    Albedo          0.306
    AlbedoBond      0.306
    AlbedoGeom      0.367
    Brightness      1.4

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }
    
    Surface
    {
        DiffMap         "HWorld/OutWorldCircle.*"
        BumpMap         "HWorld/OutWorldCircleBump.*"
        BumpHeight      50
        BumpOffset      25
        DiffMapAlpha    "Transp"
    }
    
    Clouds
    {
        Height          -5
        Velocity        0
        DiffMap         "HWorld/OutWorldCircle.*"
        BumpMap         "HWorld/OutWorldCircleBump.*"
        BumpHeight      50
        BumpOffset      25
        DiffMapAlpha    "Transp"
    }
    
    //--------------------------------------------------------------------------
    Clouds
    {
        DiffMap         "HWorld/Crust.*"
        Height          -10.0
        
        GlowMap        "HWorld/Core.*"
        GlowMode       "Permanent"
        GlowColor      (1.00 1.00 1.00)
        GlowBright      0.125

        Velocity        0.0
        DiffMapAlpha	"Transp"
    }

    Clouds
    {
        DiffMap        "HWorld/RMantle.*"
        Height          -50
        
        GlowMap         "HWorld/RMantle.*"  
        GlowMode       "Permanent"
        GlowColor      (1.00 1.00 1.00)
        GlowBright      0.125

        Velocity        0.0
        DiffMapAlpha    "Transp"
    }

    Clouds
    {
        DiffMap        "HWorld/AstSphere.*"
        Height          -90
        
        GlowMap         "HWorld/AstSphere.*"  
        GlowMode       "Permanent"
        GlowColor      (1.00 1.00 1.00)
        GlowBright      0.125

        Velocity        0.0
        DiffMapAlpha    "Transp"
    }
    
    Clouds
    {
        Height          -95
        DiffMap         "HWorld/ShadowCircle.*"
        DiffMapAlpha    "Transp"
        Opacity         1.0
        Coverage        1.0
        Velocity        0.0
    }
    
    //--------------------------------------------------------------------------
    Clouds
    {
        Height          -100
        DiffMap        "HWorld/InWorldCircle.*"
        BumpMap        "HWorld/InWorldCircleBump.*"
        BumpHeight      50
        BumpOffset      25

        GlowMap        "HWorld/InWorldCircle.*"
        GlowMode       "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      1.0

        DiffMapAlpha    "Transp"
        Velocity        0.0
    }
    
    Clouds
    {
        Height          -150
        DiffMap        "HWorld/InWorldClouds0_diff.*"
        BumpMap        "HWorld/InWorldClouds0_bump.*"
        BumpHeight      5.28717
        GlowMap        "HWorld/InWorldClouds0_glow.*"
        GlowMode       "Night"
        GlowColor      (1.00 1.00 1.00)
        GlowBright      1.0
        DiffMapAlpha    "Transp"
    }
    
    Clouds
    {
        Height          -150
        DiffMap        "HWorld/InWorldClouds1_diff.*"
        BumpMap        "HWorld/InWorldClouds1_bump.*"
        BumpHeight      6.85001
        GlowMap        "HWorld/InWorldClouds1_glow.*"
        GlowMode       "Night"
        GlowColor      (1.00 1.0 1.0)
        GlowBright      1.0
        DiffMapAlpha    "Transp"
    }
    
    Atmosphere
    {
        Model      "Earth"
        Height          92.951
        Density         1.2929
        Pressure        1
        Greenhouse      18.9214
        Bright          0.47619
        Opacity         0
        SkyLight        1.34921
        
        Composition
        {
            N2  77.7729
            O2  20.8625
            Ar  0.9303
            H2O 0.4000
            CO2 0.0398
        }
    }

    NoRings     true
    
    StaticPosPolar   (0.000000 0.000000 0.000000)
}

DwarfMoon "Moanne"
{
    ParentBody  "Hol'Moanne"
    Class       "Selena"
    
    Radius      75
    Oblateness  0
    
    Orbit
    {
        SemiMajorAxis   4.7e-06
        Period          0.0027379093319167
        Inclination     30.0
        Eccentricity    0.0
        RefPlane        "Ecliptic"
    }
}
